Package org.lwjgl.opengl

# Class ARBDebugOutput

java.lang.Object
org.lwjgl.opengl.ARBDebugOutput

public final class ARBDebugOutput extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DEBUG_CALLBACK_FUNCTION_ARB`
Tokens accepted by the <pname> parameter of GetPointerv:
`static final int`
`GL_DEBUG_CALLBACK_USER_PARAM_ARB`
Tokens accepted by the <pname> parameter of GetPointerv:
`static final int`
`GL_DEBUG_LOGGED_MESSAGES_ARB`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_ARB`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_DEBUG_OUTPUT_SYNCHRONOUS_ARB`
Tokens accepted by the <target> parameters of Enable, Disable, and IsEnabled:
`static final int`
`GL_DEBUG_SEVERITY_HIGH_ARB`
Tokens accepted or provided by the <severity> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB callback functions, and the <severities> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_SEVERITY_LOW_ARB`
Tokens accepted or provided by the <severity> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB callback functions, and the <severities> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_SEVERITY_MEDIUM_ARB`
Tokens accepted or provided by the <severity> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB callback functions, and the <severities> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_SOURCE_API_ARB`
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_SOURCE_APPLICATION_ARB`
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_SOURCE_OTHER_ARB`
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_SOURCE_SHADER_COMPILER_ARB`
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_SOURCE_THIRD_PARTY_ARB`
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_SOURCE_WINDOW_SYSTEM_ARB`
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_ARB`
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_TYPE_ERROR_ARB`
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_TYPE_OTHER_ARB`
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_TYPE_PERFORMANCE_ARB`
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_TYPE_PORTABILITY_ARB`
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:
`static final int`
`GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_ARB`
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:
`static final int`
`GL_MAX_DEBUG_LOGGED_MESSAGES_ARB`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_DEBUG_MESSAGE_LENGTH_ARB`
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDebugMessageCallbackARB(ARBDebugOutputCallback callback)`
The `ARBDebugOutputCallback.Handler` implementation passed to this method will be used for ARB_debug_output messages.
`static void`
`glDebugMessageControlARB(int source, int type, int severity, IntBuffer ids, boolean enabled)`
`static void`
`glDebugMessageInsertARB(int source, int type, int id, int severity, CharSequence buf)`
Overloads glDebugMessageInsertARB.
`static void`
`glDebugMessageInsertARB(int source, int type, int id, int severity, ByteBuffer buf)`
`static int`
`glGetDebugMessageLogARB(int count, IntBuffer sources, IntBuffer types, IntBuffer ids, IntBuffer severities, IntBuffer lengths, ByteBuffer messageLog)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_DEBUG_OUTPUT_SYNCHRONOUS_ARB

public static final int GL_DEBUG_OUTPUT_SYNCHRONOUS_ARB
Tokens accepted by the <target> parameters of Enable, Disable, and IsEnabled:

See Also:
  - Constant Field Values

### GL_MAX_DEBUG_MESSAGE_LENGTH_ARB

public static final int GL_MAX_DEBUG_MESSAGE_LENGTH_ARB
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_DEBUG_LOGGED_MESSAGES_ARB

public static final int GL_MAX_DEBUG_LOGGED_MESSAGES_ARB
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DEBUG_LOGGED_MESSAGES_ARB

public static final int GL_DEBUG_LOGGED_MESSAGES_ARB
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_ARB

public static final int GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH_ARB
Tokens accepted by the <value> parameters of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DEBUG_CALLBACK_FUNCTION_ARB

public static final int GL_DEBUG_CALLBACK_FUNCTION_ARB
Tokens accepted by the <pname> parameter of GetPointerv:

See Also:
  - Constant Field Values

### GL_DEBUG_CALLBACK_USER_PARAM_ARB

public static final int GL_DEBUG_CALLBACK_USER_PARAM_ARB
Tokens accepted by the <pname> parameter of GetPointerv:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_API_ARB

public static final int GL_DEBUG_SOURCE_API_ARB
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_WINDOW_SYSTEM_ARB

public static final int GL_DEBUG_SOURCE_WINDOW_SYSTEM_ARB
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_SHADER_COMPILER_ARB

public static final int GL_DEBUG_SOURCE_SHADER_COMPILER_ARB
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_THIRD_PARTY_ARB

public static final int GL_DEBUG_SOURCE_THIRD_PARTY_ARB
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_APPLICATION_ARB

public static final int GL_DEBUG_SOURCE_APPLICATION_ARB
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_SOURCE_OTHER_ARB

public static final int GL_DEBUG_SOURCE_OTHER_ARB
Tokens accepted or provided by the <source> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <sources> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_ERROR_ARB

public static final int GL_DEBUG_TYPE_ERROR_ARB
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_ARB

public static final int GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR_ARB
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_ARB

public static final int GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR_ARB
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_PORTABILITY_ARB

public static final int GL_DEBUG_TYPE_PORTABILITY_ARB
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_PERFORMANCE_ARB

public static final int GL_DEBUG_TYPE_PERFORMANCE_ARB
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_TYPE_OTHER_ARB

public static final int GL_DEBUG_TYPE_OTHER_ARB
Tokens accepted or provided by the <type> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB, and the <types> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_HIGH_ARB

public static final int GL_DEBUG_SEVERITY_HIGH_ARB
Tokens accepted or provided by the <severity> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB callback functions, and the <severities> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_MEDIUM_ARB

public static final int GL_DEBUG_SEVERITY_MEDIUM_ARB
Tokens accepted or provided by the <severity> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB callback functions, and the <severities> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_LOW_ARB

public static final int GL_DEBUG_SEVERITY_LOW_ARB
Tokens accepted or provided by the <severity> parameters of DebugMessageControlARB, DebugMessageInsertARB and DEBUGPROCARB callback functions, and the <severities> parameter of GetDebugMessageLogARB:

See Also:
  - Constant Field Values

## Method Details

### glDebugMessageControlARB

public static void glDebugMessageControlARB(int source, int type, int severity, IntBuffer ids, boolean enabled)

### glDebugMessageInsertARB

public static void glDebugMessageInsertARB(int source, int type, int id, int severity, ByteBuffer buf)

### glDebugMessageInsertARB

public static void glDebugMessageInsertARB(int source, int type, int id, int severity, CharSequence buf)
Overloads glDebugMessageInsertARB.

### glDebugMessageCallbackARB

public static void glDebugMessageCallbackARB(ARBDebugOutputCallback callback)
The `ARBDebugOutputCallback.Handler` implementation passed to this method will be used for ARB_debug_output messages. If callback is null, any previously registered handler for the current thread will be unregistered and stop receiving messages.

Parameters:
  `callback` - the callback function to use

### glGetDebugMessageLogARB

public static int glGetDebugMessageLogARB(int count, IntBuffer sources, IntBuffer types, IntBuffer ids, IntBuffer severities, IntBuffer lengths, ByteBuffer messageLog)